Bug 253978 - [bn_IN] [pango] - backspace changes independent indic characters
Summary: [bn_IN] [pango] - backspace changes independent indic characters
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: pango
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 220805
Blocks: Indic
TreeView+ depends on / blocked
 
Reported: 2007-08-23 12:13 UTC by A S Alam
Modified: 2013-07-03 00:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-21 07:13:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 345066 None None None Never

Description A S Alam 2007-08-23 12:13:42 UTC
Description of problem:
when backspace key is hit after a consonant with a dot at the bottom,
the dot vanishes and the result is an independent and unrelated
alphabet. The dot in this case is not a vowel sign, it is a part of
the consonant itself. 
The 1st example is of Bengali Yaa - <09DF>. A backspace changes it to
a bengali Ya - <09AF>.
See attached image for example. The image uses the bengali probhat
keyboard layout.

Version-Release number of selected component (if applicable):
pango-1.17.5-1.fc8

How reproducible:
Every time


Step to Reproduce  :
1. Open gedit in bn_IN Locale
2. Activate SCIM pressing CTRL+SPACE-BAR.
3. Either select IM- Probhat or RAWCODE from panel.
4. If select Probhat then type 'z' or for RAWCODE type 09DF.
5. Press backspace.
6. Observe the result.

Actual results:
The 'dot' below the yaa character gets deleted, and it becomes a ya.


Expected results:
The complete yaa character should get deleted.


Additional info:



-- Additional comment from lizhang@redhat.com on 2006-07-20 05:43 EST --
I debug this bug and I find that this bug is not the bug of Pango, but the bug
of gtk. 
gtk_entry_backspace( ) and gtk_text_buffer_backspace( ) need be modified.
I will write a patch for this bug.
I filed a new bug of gtk in Gnome bugzilla.
http://bugzilla.gnome.org/show_bug.cgi?id=348107

-- Additional comment from lizhang@redhat.com on 2006-07-20 23:05 EST --
I wrote a patch for this bug.
The patch is below:
http://bugzilla.gnome.org/show_bug.cgi?id=348107

Actual Result :
After hitting Backspace the char 09DF is becoming the 09AF. The dot (.) below
the char is being deleted.

Expected Result :
09DF is a codepoint character, so, the whole char should be deleted by a single
backspace, should not show or take the form of the char 09AF. 

Addi Info:
09DF is bengali Consonant letter 'Yaa' and 09AF is bengali Consonant letter 

-- Additional comment from lizhang@redhat.com on 2006-12-30 21:37 EST --
I wrote a patch for fixing this bug and bug217017, bug145431. And this patch
fixed all problems about backspace-delete and cursor moving of all split matras
of all indic scripts.
The patch is:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=217017

Comment 2 Runa Bhattacharjee 2007-11-21 07:48:57 UTC
This error is due to some Unicode Normalization Rules mentioned here:

http://www.unicode.org/reports/tr15

Ref: Section 6 of the above document where some composite characters have been
included in the Composite Exclusion list due to varied reasons.

http://www.unicode.org/Public/UNIDATA/CompositionExclusions.txt

This is a widely discussed issue on the indic@unicode.org list.

Comment 3 Bug Zapper 2008-05-14 03:08:43 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Tony Fu 2008-09-10 03:08:10 UTC
requested by Jens Petersen (#27995)

Comment 5 A S Alam 2008-12-11 11:04:04 UTC
it is  not yet fixed
pango-1.20.4-1.fc9

Comment 6 Bug Zapper 2009-06-09 22:47:02 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 A S Alam 2009-06-11 07:06:46 UTC
Still exist in Fedora 11. Updating for F11
pango-1.24.2-1.fc11.x86_64

Comment 8 Pravin Satpute 2009-09-04 05:57:39 UTC
current upstream open bug id
http://bugzilla.gnome.org/show_bug.cgi?id=345066

Comment 10 Parag Nemade 2009-12-21 07:13:25 UTC
Please have a look at Unicode data file http://www.unicode.org/Public/5.2.0/ucd/CompositionExclusions.txt where its clearly said that codepoint U09DF need more than one backspace key to delete whole character.


Note You need to log in before you can comment on or make changes to this bug.